import {select,arc} from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = svg.attr('height');
console.log(typeof width);

const g = svg.append('g')
	.attr('transform',`translate(${width/2},${height/2+30})`);

const circle = g
	.append('circle')
    .attr('r',height/2)
    .attr('fill','yellow')
    .attr('stroke','black');

const eyeSpacing = 100;
const eyeoffset = 70;
const eyeRadius = 30;

const eyeg = g
	.append('g')
		.attr('transform',`translate(0,${- eyeoffset})`);

const lefteye = eyeg
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx',- eyeSpacing)

const righteye = eyeg
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx',+eyeSpacing)

const eyebrowwidth = 70;
const eyebrowheight = 20;
const eyebrowoffset = -70;

const eyebrowg = eyeg
	.append('g')
		.attr('transform',`translate(0,${ eyebrowoffset})`);
eyebrowg
	.transition().duration(2000)
		.attr('transform',`translate(0,${eyebrowoffset-30})`)
	.transition().duration(2000)
		.attr('transform',`translate(0,${eyebrowoffset})`);

const lefteyebrow = eyebrowg
	.append('rect')
    .attr('x',-eyeSpacing-eyebrowwidth/2)
    .attr('width',eyebrowwidth)
    .attr('height',eyebrowheight);

const righteyebrow = eyebrowg
	.append('rect')
    .attr('x',eyeSpacing-eyebrowwidth/2)
    .attr('width',eyebrowwidth)
    .attr('height',eyebrowheight)

;

const mouth = g	
	.append('path')
    .attr('d',arc()({
      innerRadius: 0,
      outerRadius: 160,
      startAngle: Math.PI/2,
      endAngle: Math.PI *3 /2
  }));
    